package com.jasamedika.medifirst2000.vo;

import java.util.Date;

import javax.persistence.Column;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import javax.validation.constraints.NotNull;

import com.fasterxml.jackson.annotation.JsonBackReference;
import com.jasamedika.medifirst2000.base.vo.BaseTransactionVO;
import com.jasamedika.medifirst2000.helper.Caption;

/**
 *  class PosisiRahim
 * 
 * @author Generator
 */
public class DetailDokterOperasiVO extends BaseTransactionVO {
	
	@ManyToOne
	@NotNull(message="Produk Harus Diisi")
	@Caption(value="Penghitungan Kassa Dan Alat Operasi")
	//@JsonBackReference
	private PenghitunganKassaDanAlatOperasiVO penghitunganKassaDanAlatOperasi;
	
	@ManyToOne
	@JoinColumn(name = "ObjectProdukFk")
	@Caption(value="Nama Alat Yang Digunakan")
	private ProdukVO produk;
	
	@ManyToOne
	@JoinColumn(name = "ObjectkAhliBedahFk")
	@NotNull(message="Ahli Bedah Harus Diisi")
	@Caption(value="Ahli Bedah")
	private PegawaiVO ahliBedah;
		
	@ManyToOne
	@JoinColumn(name = "ObjectkAsistenFk")
	@NotNull(message="Asisten Harus Diisi")
	@Caption(value="Asisten")
	private PegawaiVO asisten;
	
	@ManyToOne
	@JoinColumn(name = "ObjectkPerawatInstrumenFk")
	@NotNull(message="Perawat Instrumen Harus Diisi")
	@Caption(value="Perawat Instrumen")
	private PegawaiVO perawatInstrumen;
	
	@ManyToOne
	@JoinColumn(name = "ObjectkPerawatSekulerFk")
	@NotNull(message="Perawat Sekuler Harus Diisi")
	@Caption(value="Perawat Sekuler")
	private PegawaiVO perawatSekuler;

	@ManyToOne
	@JoinColumn(name = "ObjectkPerawatSirkulerFk")
	@NotNull(message="Perawat SirkulerHarus Diisi")
	@Caption(value="Perawat Sirkuler")
	private PegawaiVO perawatSirkuler;

	//@Column(name = "ahliBedah")
	//private String ahliBedah;
	
	//@Column(name = "asisten")
	//private String asisten;

	//@Column(name = "perawatInstrumen")
	//private String perawatInstrumen;
	
	//@Column(name = "perawatSekuler")
	//private String perawatSekuler;
	
	@Column(name = "kondisiSterilisasi")
	private String kondisiSterilisasi;
	
	@Column(name = "load")
	private String load;
	
	//@Column(name = "perawatSirkuler")
	//private String perawatSirkuler;
	
	@Column(name = "tanggalSteril")
	private Date tanggalSteril;

	@Column(name = "alat")
	private String alat;
	
	public PenghitunganKassaDanAlatOperasiVO getPenghitunganKassaDanAlatOperasi() {
		return penghitunganKassaDanAlatOperasi;
	}

	public void setPenghitunganKassaDanAlatOperasi(PenghitunganKassaDanAlatOperasiVO penghitunganKassaDanAlatOperasi) {
		this.penghitunganKassaDanAlatOperasi = penghitunganKassaDanAlatOperasi;
	}

	public ProdukVO getProduk() {
		return produk;
	}

	public void setProduk(ProdukVO produk) {
		this.produk = produk;
	}

	//public String getAhliBedah() {
	//	return ahliBedah;
	//}

	//public void setAhliBedah(String ahliBedah) {
	//	this.ahliBedah = ahliBedah;
	//}

	//public String getAsisten() {
	//	return asisten;
	//}

	//public void setAsisten(String asisten) {
	//	this.asisten = asisten;
	//}

	//public String getPerawatInstrumen() {
	//	return perawatInstrumen;
	//}

	//public void setPerawatInstrumen(String perawatInstrumen) {
	//	this.perawatInstrumen = perawatInstrumen;
	//}

	//public String getPerawatSekuler() {
	//	return perawatSekuler;
	//}

	//public void setPerawatSekuler(String perawatSekuler) {
	//	this.perawatSekuler = perawatSekuler;
	//}

	//public String getKondisiSterilisasi() {
	//	return kondisiSterilisasi;
	//}

	public void setKondisiSterilisasi(String kondisiSterilisasi) {
		this.kondisiSterilisasi = kondisiSterilisasi;
	}

	public String getLoad() {
		return load;
	}

	public void setLoad(String load) {
		this.load = load;
	}

	//public String getPerawatSirkuler() {
	//	return perawatSirkuler;
	//}

	//public void setPerawatSirkuler(String perawatSirkuler) {
	//	this.perawatSirkuler = perawatSirkuler;
	//}

	public Date getTanggalSteril() {
		return tanggalSteril;
	}

	public void setTanggalSteril(Date tanggalSteril) {
		this.tanggalSteril = tanggalSteril;
	}

	public PegawaiVO getAhliBedah() {
		return ahliBedah;
	}

	public void setAhliBedah(PegawaiVO ahliBedah) {
		this.ahliBedah = ahliBedah;
	}

	public PegawaiVO getAsisten() {
		return asisten;
	}

	public void setAsisten(PegawaiVO asisten) {
		this.asisten = asisten;
	}

	public PegawaiVO getPerawatInstrumen() {
		return perawatInstrumen;
	}

	public void setPerawatInstrumen(PegawaiVO perawatInstrumen) {
		this.perawatInstrumen = perawatInstrumen;
	}

	public PegawaiVO getPerawatSekuler() {
		return perawatSekuler;
	}

	public void setPerawatSekuler(PegawaiVO perawatSekuler) {
		this.perawatSekuler = perawatSekuler;
	}

	public PegawaiVO getPerawatSirkuler() {
		return perawatSirkuler;
	}

	public void setPerawatSirkuler(PegawaiVO perawatSirkuler) {
		this.perawatSirkuler = perawatSirkuler;
	}

	public String getKondisiSterilisasi() {
		return kondisiSterilisasi;
	}

	public String getAlat() {
		return alat;
	}

	public void setAlat(String alat) {
		this.alat = alat;
	}

	
	
}

